import { i18n } from "@/stores"

/**
 * 买卖方向
 */
export enum BuyOrSell {
    Buy = 0, // 买
    Sell = 1, // 卖
}

/**
 * 获取买卖方向列表
 * @returns 
 */
export function getBuyOrSellList() {
    return [
        { label: i18n.global.t('enum.buyorsell.buy'), value: BuyOrSell.Buy },
        { label: i18n.global.t('enum.buyorsell.sell'), value: BuyOrSell.Sell },
    ]
}

/**
 * 获取买卖方向名称
 * @param value 
 * @returns 
 */
export function getBuyOrSellName(value?: number) {
    const item = getBuyOrSellList().find((e) => e.value === value)
    return item?.label ?? value
}

/**
 * 费用算法
 */
export enum FeeAlgorithm {
    Ratio = 1, // 比率
    Fixed = 2 // 固定值
}

/**
 * 获取费用算法列表
 * @returns 
 */
export function getFeeAlgorithmList() {
    return [
        { label: i18n.global.t('enum.feealgorithm.ratio'), value: FeeAlgorithm.Ratio },
        { label: i18n.global.t('enum.feealgorithm.fixed'), value: FeeAlgorithm.Fixed }
    ]
}

/**
 * 获取费用算法名称
 * @param value 
 * @returns 
 */
export function getFeeAlgorithmName(value?: number) {
    const item = getFeeAlgorithmList().find((e) => e.value === value)
    return item?.label ?? value
}